List the members, requests and invitations of a space (staff)
GET /api/communities/{communityId}/spaces/{spaceId}/members. List the members, requests and invitations of a space (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). The space's members, its open requests to join and its open invitations.
Path Parameters
communityId*string
spaceId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/communities/string/spaces/string/members"{ "rows": [ { "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the people who hold a community (staff) GET
GET /api/communities/{communityId}/members. List the people who hold a community (staff). Headless LMS Communities API reference.
Add a person to a space (staff) POST
POST /api/communities/{communityId}/spaces/{spaceId}/members. Add a person to a space (staff). Headless LMS Communities API reference.